digiKam Developer Documentation: Digikam::ItemGPS Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemGPS Class Reference
Inheritance diagram for Digikam::ItemGPS:

## Public Member Functions
| ItemGPS (const ItemInfo &info)
bool | loadImageData () override
QString | saveChanges () override
Public Member Functions inherited from Digikam::GPSItemContainer
| GPSItemContainer (const QUrl &url)
bool | isDirty () const
QUrl | url () const
QDateTime | dateTime () const
void | setCoordinates (const GeoCoordinates &newCoordinates)
GeoCoordinates | coordinates () const
GPSDataContainer | gpsData () const
void | setGPSData (const GPSDataContainer &container)
void | restoreGPSData (const GPSDataContainer &container)
| Restore the gps data to `container`.
void | setTagList (const QList< QList< TagData > > &externalTagList)
| The tags added in reverse geocoding process are stored in each image, before they end up in external tag model.
bool | isTagListDirty () const
QList< QList< TagData > > | getTagList () const
| Returns the tag list of the current image.
void | restoreRGTagList (const QList< QList< TagData > > &tagList)
| Replaces the current tag list with the one contained in tagList.
void | writeTagsToXmp (const bool writeXmpTags)
| Writes the current tags to XMP metadata.
void | writeLocations (const bool writeMetaLoc)
| Writes the current tags to the metadata location fields.
bool | lessThan (const GPSItemContainer *const otherItem, const int column) const

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::GPSItemContainer
static void | setHeaderData (GPSItemModel *const model)
Static Public Attributes inherited from Digikam::GPSItemContainer
static const int | ColumnAccuracy = 6
static const int | ColumnAltitude = 5
static const int | ColumnDateTime = 2
static const int | ColumnDOP = 9
static const int | ColumnFilename = 1
static const int | ColumnFixType = 10
static const int | ColumnGPSItemContainerCount = 13
static const int | ColumnLatitude = 3
static const int | ColumnLongitude = 4
static const int | ColumnNSatellites = 11
static const int | ColumnSpeed = 12
static const int | ColumnStatus = 8
static const int | ColumnTags = 7
static const int | ColumnThumbnail = 0
static const int | RoleCoordinates = Qt::UserRole + 1
Protected Member Functions inherited from Digikam::GPSItemContainer
void | setLocationInfo (const TagData &tagData, IptcCoreLocationInfo &locationInfo)
QVariant | data (const int column, const int role) const
| these are only to be called by the GPSItemModel
void | setModel (GPSItemModel *const model)
void | emitDataChanged ()
DMetadata * | getMetadataForFile () const
SaveProperties | saveProperties () const
Protected Attributes inherited from Digikam::GPSItemContainer
GPSItemModel * | m_model = nullptr
QUrl | m_url
QDateTime | m_dateTime
bool | m_dirty = false
GPSDataContainer | m_gpsData
GPSDataContainer | m_savedState
bool | m_tagListDirty = false
QList< QList< TagData > > | m_tagList
QList< QList< TagData > > | m_savedTagList
bool | m_writeXmpTags = true
bool | m_writeMetaLoc = true

## Member Function Documentation

## ◆ loadImageData()

bool Digikam::ItemGPS::loadImageData | ( |  | ) |
| overridevirtual

Reimplemented from Digikam::GPSItemContainer.

## ◆ saveChanges()

QString Digikam::ItemGPS::saveChanges | ( |  | ) |
| overridevirtual

Reimplemented from Digikam::GPSItemContainer.